Daha çox

QGIS-də istilik xəritəsi eklentisi üçün həll yolları?


QGIS 2.8-də istilik xəritəsi eklentisi CRS-i pozdu. 2.10-a yenilədim, indi plagində dialoq pozulub: formatı seçməyinizə imkan vermir.

İstilik xəritəsi tərzində atlaslar üçün təbəqələr düzəldirəm. Ancaq GeoTIFF-ə ixrac etməliyəm və bunun üçün bir yol görmürəm.

QGIS-i yeniləmək Ubuntu-da asan deyil, çünki PPA-dan quraşdırıldığı zaman normal işləyir, lakin mənbələrdən quraşdırmaq və ya borc yükləmək çox ağrılıdır.

Keçid yolu var?

Bir komanda xətti nümunəsi də edəcəkdir.

redaktə etmək Budur ekran görüntüsü. Biçim siyahısı boşdur və burada olduğu kimi əl ilə fayl uzantısı yazsam, format seçilmədiyi mesajını göstərərək yenə də icazə vermir.

Bu vaxt başqa bir informasiya qutusunda format seçimi düzgün işləyir:

Versiyalar:


QGIS 2.10'u Linux Mint 17.2 (etibarlı olaraq) üzərində işləyirəm və Heatmap plaginində mövcud formatlar açılır boş deyil, bu səbəbdən probleminiz LG / Ubuntu ilə işləyən QGIS ilə ümumi bir problem deyil. Bu problemi necə çoxaltacağımdan əmin deyiləm.

Bununla birlikdə, problemin 2.10-a yenilənmədən sonra ortaya çıxdığını təklif edirsiniz. Mənə elə gəlir ki, əhəmiyyətli dərəcədə QGIS funksionallığı (məsələn, plaginlər üçün) asılıdırpiton-qgis. Bu bilərdi Heatmap (plagin) və Raster Calculator (əsas olduğuna inanıram) arasındakı fərqi izah edin, buna görə yoxlamalıyampiton-qgisilə quraşdırılmış

apt-cache siyasəti python-qgis

və itkin olduqda quraşdırın.

Digər bir narahatlıq, ubuntugis-qeyri-sabit PPA-dan 2.10-a yeniləndiyinizi söyləməyinizdir. Lakin, deyə bildiyim qədər, ubuntugis-stable yalnız 2.8 versiyasına qalxır. Bunun niyə natamam funksionallığa səbəb olacağından əmin deyiləm. Bəlkə sizdə QGIS 2.10 var, ammapiton-qgis2.8? Uyğunsuzluq nəzərdə tutduğunuz depodan yükləməməyinizi nəzərdə tutur.

Ubuntu Trusty işlədirsinizsə, QGIS deposundan 2.10 yükləməyinizi tövsiyə edərəm, ancaq cari quraşdırmanı təmizləməyə başlayın:

sudo apt-get purge qgis python-qgis

Sonra aşağıdakı sətirləri əlavə edin/etc/apt/sources.list:

deb http://qgis.org/ubuntugis trusty main deb-src http://qgis.org/ubuntugis trusty main

Qeyd: düzəliş edə bilsəniz də/etc/apt/sources.listbirbaşa olaraq, praktikada yeni qaynaq mənbəyi sətirləri əlavə etmək üçün Software Sources alətindən (müstəqil və ya Synaptic menyusundan) istifadə etməyi üstün tuturam.

Bunu etdikdən sonra yeniləyin və yenidən qurunqgispiton-qgispaketlər Synaptic və ya:

sudo apt-get yeniləmə sudo apt-get install qgis python-qgis qgis-plugin-grass

Bu təlimatlar http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu saytından götürülmüşdür. LM 17.2-də QGIS 2.10 quraşdırdığım üçün işlədiklərini də təsdiqləyə bilərəm. Bu həm də ubuntugis asılılıqları ilə işləmək üçün hazırlanmış versiyanın təlimatıdır və artıq istifadə etdiyiniz ubuntugis-qeyri-sabit PPA-nın istifadəsini tələb edir. Ancaq Trusty-dən daha yeni bir Ubuntu buraxılışı istifadə edirsinizsə, uyğun versiyanı seçməlisiniz və yox ubuntugis asılılıqlarını istifadə edin. Əlavə təlimatlar üçün linki yoxlayın.